@ECHO OFF
::
:: This batch file unpacks demo/sample batch files to subdirectories.
::
MD DEMOS
MD GOBAT
MD UTILBAT

COPY DEMO_BAT.EXE DEMOS
COPY GO_BAT.EXE   GOBAT
COPY UTIL_BAT.EXE UTILBAT

:: Unpack DEMOS:
  cd DEMOS
  DEMO_BAT
:: Unpack GO-XXXX.BAT files:
  cd ..\GOBAT
  GO_BAT
:: Unpack FFG Util bat files:
  cd ..\UTILBAT
  UTIL_BAT
cd ..
cls
if not exist DEMOS\DEMO.BAT     echo ***ERROR: Failed to unpack DEMO files.
if not exist GOBAT\README.GO    echo ***ERROR: Failed to unpack GOBAT files.
if not exist UTILBAT\RECENT.BAT echo ***ERROR: Failed to unpack UTILITY files.

if exist DEMOS\DEMO_BAT.EXE   del DEMOS\DEMO_BAT.EXE
if exist GOBAT\GO_BAT.EXE     del GOBAT\GO_BAT.EXE
if exist UTILBAT\UTIL_BAT.EXE del UTILBAT\UTIL_BAT.EXE

if exist DEMOS\DEMO.BAT if exist GOBAT\README.GO if exist UTILBAT\RECENT.BAT echo Files successfully unpacked.
